package main

import (
	"fmt"
	"whspbrd/internal/tui"
)

func main() {
	// Define a color palette
	palette := tui.Palette{
		Base00: tui.NewColor(31),
		Base01: tui.NewColor(32),
		Base02: tui.NewColor(33),
		Base03: tui.NewColor(34),
		Base04: tui.NewColor(35),
		Base05: tui.NewColor(36),
		Base06: tui.NewColor(41),
		Base07: tui.NewColor(42),
		Base08: tui.NewColor(43),
		Base09: tui.NewColor(44),
		Base10: tui.NewColor(45),
		Base11: tui.NewColor(46),
		Base12: tui.NewColor(47),
		Base13: tui.NewColor(11),
		Base14: tui.NewColor(12),
		Base15: tui.NewColor(13),
		Reset:  "\033[0m",
	}

	// loop through the palette and print each color

	fmt.Print("Color Palette:\n")
	fmt.Println(palette.Base00, "Base00:")
	fmt.Println(palette.Base01, "Base01:")
	fmt.Println(palette.Base02, "Base02:")
	fmt.Println(palette.Base03, "Base03:")
	fmt.Println(palette.Base04, "Base04:")
	fmt.Println(palette.Base05, "Base05:", palette.Reset)
	fmt.Println(palette.Base06, "Base06:")
	fmt.Println(palette.Base07, "Base07:")
	fmt.Println(palette.Base08, "Base08:")
	fmt.Println(palette.Base09, "Base09:")
	fmt.Println(palette.Base10, "Base10:")
	fmt.Println(palette.Base11, "Base11:")
	fmt.Println(palette.Base12, "Base12:", palette.Reset)
	fmt.Println(palette.Base13, "Base13:")
	fmt.Println(palette.Base14, "Base14:")
	fmt.Println(palette.Base15, "Base15:")

}
